##############################
# This file is for unit test purposes only.

[QtLicenseDaemon]
############
# Qt Licenser Daemon global settings
# These setings will override all the defaults which are set in licenser.h
#
## Note! Do not use any whitespaces within the values!

###################
# server_addr
# Address of the license server, either local or remote (cloud).
# Must be in form <xxx.yyy.zzz.vvv>:<port> or <server url>:<port>
# Type: string
server_addr=localhost:8080

###################
# ca_bundle_path
# Path to CA bundle file containing root and intermediate certificates. Either set an
# absolute path or "auto" to attempt auto-detection of the CA bundle path.
# If no valid CA bundle could be found, "/etc/ssl/certs" will be used
# as a fallback for looking a certificate file to verify the peer with.
# This setting will only have effect on Linux.
# Type: string
ca_bundle_path=auto

###################
# certificate_revoke_check
# Sets the behavior of SSL certificate revocation checks.
# Possible values are:
#   "strict" - Force certificate revocation checks. This includes fetching certificate revocation
#              lists from external distribution point URLs defined by a certificate authority
#   "auto"   - Ignore certificate revocation checks in case of missing or offline distribution points
#   "off"    - Disable certificate revocation checks entirely
# This setting will only have effect on Windows. Only the Schannel SSL backend
# supports configuring automatic certificate revocation checks at the moment.
# Type: string
certificate_revoke_check=auto

###################
# reservation_access_point
# License server REST access point for normal license reservation requests
# Type: string
reservation_access_point=/api/v2/reservations

###################
# reservation_renewal_access_point
# License server REST access point for license reservation renewal requests
# Type: string
reservation_renewal_access_point=/api/v2/reservations/extend

###################
# reservation_release_access_point
# License server REST access point for releasing license reservations
# Type: string
reservation_release_access_point=/api/v2/reservations/release

###################
# long-term_access_point
# License server REST access point for long-term license reservation requests
# Type: string
permanent_access_point=/api/v2/reservations/long-term

###################
# login_access_point
# License server REST access point for Qt Account login
# Type: string
login_access_point=/api/v2/login

###################
# version_query_access_point
# License server REST access point for version query requests
# Type: string
version_query_access_point=/api/v2/ping

###################
# TCP/IP port where the daemon is listening for requests
# Set to 0 to automatically find and assign to a free port based on operating
# system specific range, or positive value to manually set the port.
# Type: int (max 65535)
tcp_listening_port=0

###################
# queue_min_retry_interval
# The server can be temporarily overloaded.
# This is minimum time after which queued requests are performed again
# Type: int (millisecons)
queue_min_retry_interval=1000

###################
# queue_max_retry_time
# The server can be temporarily overloaded. After each try, the time will
# be incremented by 'queue_interval_increment', but never beyond this maximum.
# Type: int (millisecons)
queue_max_retry_interval=10000

###################
# queue_interval_increment
# Time added to the retry interval after each reservation attempt.
# Type: int (millisecons)
queue_interval_increment=1000

###################
# execution_stat_leeway_time
# Time that determines if another application can continue using an already
# completed usage statistic entry. The leeway time allows concatenating statistics,
# i.e. for applications that start and stop frequently. For concatenation to happen,
# the application must have been started during the allowed leeway time since
# the statistic was marked completed. Set to  posive value or 0 to disable leeway.
# Type: int (milliseconds)
execution_stat_leeway_time=1000

###################
# request_timeout
# Timeout for network requests. This is the maximum time in seconds that
# the entire transfer operation is allowed to take. Set to positive
# value or 0 to never time out.
# Type: int (seconds)
request_timeout=60

###################
# on_demand_shutdown_timeout
# Maximum time between requests after which the license service instance
# launched in on demand mode will automatically shut down.
# Type: int (seconds)
on_demand_shutdown_timeout=60

###################
# hw_id
# Calculated hardware ID of the host machine. This is empty by default, will be calculated in the first daemon run.
# Can be recalculated by deleting the value (making it empty again) and restarting the daemon
# Type: string (filled automatically by daemon, do not touch)
hw_id=fca10d255b1876279d5b994086ba7524f580035cc182c72f43b2ff7a5903c056

[/QtLicenseDaemon]
